MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Data Fields
MyGUI::WidgetInfo Struct Reference

`#include <MyGUI_LayoutData.h>`

## Public Types
enum | PositionType { Pixels, Relative, None }

## Public Member Functions
| WidgetInfo ()

## Data Fields
std::vector< WidgetInfo > | childWidgetsInfo
VectorStringPairs | properties
MapString | userStrings
std::vector< ControllerInfo > | controllers
std::string | type
std::string | skin
Align | align
WidgetStyle | style
std::string | name
std::string | layer
PositionType | positionType
IntCoord | intCoord
FloatCoord | floatCoord

## Detailed Description

Definition at line 22 of file MyGUI_LayoutData.h.

## Member Enumeration Documentation

enum MyGUI::WidgetInfo::PositionType

Enumerator
Pixels |
Relative |
None |

Definition at line 45 of file MyGUI_LayoutData.h.

## Constructor & Destructor Documentation

MyGUI::WidgetInfo::WidgetInfo | ( |  | ) |
| inline

Definition at line 25 of file MyGUI_LayoutData.h.

## Field Documentation

Align MyGUI::WidgetInfo::align

Definition at line 40 of file MyGUI_LayoutData.h.

std::vector<WidgetInfo> MyGUI::WidgetInfo::childWidgetsInfo

Definition at line 33 of file MyGUI_LayoutData.h.

std::vector<ControllerInfo> MyGUI::WidgetInfo::controllers

Definition at line 37 of file MyGUI_LayoutData.h.

FloatCoord MyGUI::WidgetInfo::floatCoord

Definition at line 48 of file MyGUI_LayoutData.h.

IntCoord MyGUI::WidgetInfo::intCoord

Definition at line 47 of file MyGUI_LayoutData.h.

std::string MyGUI::WidgetInfo::layer

Definition at line 43 of file MyGUI_LayoutData.h.

std::string MyGUI::WidgetInfo::name

Definition at line 42 of file MyGUI_LayoutData.h.

PositionType MyGUI::WidgetInfo::positionType

Definition at line 46 of file MyGUI_LayoutData.h.

VectorStringPairs MyGUI::WidgetInfo::properties

Definition at line 35 of file MyGUI_LayoutData.h.

std::string MyGUI::WidgetInfo::skin

Definition at line 39 of file MyGUI_LayoutData.h.

WidgetStyle MyGUI::WidgetInfo::style

Definition at line 41 of file MyGUI_LayoutData.h.

std::string MyGUI::WidgetInfo::type

Definition at line 38 of file MyGUI_LayoutData.h.

MapString MyGUI::WidgetInfo::userStrings

Definition at line 36 of file MyGUI_LayoutData.h.

The documentation for this struct was generated from the following file:

- MyGUI_LayoutData.h